createOrUpdateSecurityGateConfiguration
Create or update a Security Gate configuration
createOrUpdateSecurityGateConfiguration(
input: CreateOrUpdateSecurityGateConfigurationInput!
): CreateOrUpdateSecurityGateConfigurationPayload
Arguments
createOrUpdateSecurityGateConfiguration.input ● CreateOrUpdateSecurityGateConfigurationInput! non-null input
Parameters for CreateOrUpdateSecurityGateConfiguration
Type
CreateOrUpdateSecurityGateConfigurationPayload object
Autogenerated return type of CreateOrUpdateSecurityGateConfiguration.
Example request
This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the assets query first and use data.assets.collection[].id as assetId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateSecurityGateConfiguration($input: CreateOrUpdateSecurityGateConfigurationInput!) {\n createOrUpdateSecurityGateConfiguration(input: $input) { clientMutationId securityGateConfiguration { id createdAt owner { __typename } } }\n}","variables":{"input":{"assetId":1,"rules":[{}]}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "mutation MutateCreateOrUpdateSecurityGateConfiguration($input: CreateOrUpdateSecurityGateConfigurationInput!) {\n createOrUpdateSecurityGateConfiguration(input: $input) { clientMutationId securityGateConfiguration { id createdAt owner { __typename } } }\n}",
variables: {
"input": {
"assetId": 1,
"rules": [
{}
]
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "mutation MutateCreateOrUpdateSecurityGateConfiguration($input: CreateOrUpdateSecurityGateConfigurationInput!) {\n createOrUpdateSecurityGateConfiguration(input: $input) { clientMutationId securityGateConfiguration { id createdAt owner { __typename } } }\n}",
'variables': json.loads("{\"input\":{\"assetId\":1,\"rules\":[{}]}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute